const std = @import("std");
const GBABuilder = @import("lib/ZigGBA/GBA/builder.zig");

pub fn build(b: *std.build.Builder) void {
    const exe = GBABuilder.addGBAExecutable(b, "sprite2d", "src/sprite2d/main.zig");
    exe.emit_asm = if (b.option(bool, "asm", "emit assembly") orelse false) .emit else .default;

    const run_cmd = b.addSystemCommand(&.{"zba"});
    run_cmd.step.dependOn(b.getInstallStep());
    if (b.args) |args| run_cmd.addArgs(args);

    const run_step = b.step("run", "Run test ROM in ZBA");
    run_step.dependOn(&run_cmd.step);
}
